> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Install a deployment packages



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml post /v4/deployment-packages/{account_id}/install
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/deployment-packages/{account_id}/install:
    post:
      tags:
        - package deployments
      summary: Install a deployment packages
      operationId: POST-V4-/deployment-packages/{account_id}/install
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstallDeploymentPackageRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InstallDeploymentPackageResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: >-
            import os

            from scale_gp import SGPClient


            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )

            install_deployment_package_response =
            client.deployment_packages.install(
                account_id="account_id",
            )

            print(install_deployment_package_response.package_installation)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tinstallDeploymentPackageResponse, err := client.DeploymentPackages.Install(\n\t\tcontext.TODO(),\n\t\t\"account_id\",\n\t\tsgp.DeploymentPackageInstallParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", installDeploymentPackageResponse.PackageInstallation)\n}\n"
components:
  schemas:
    InstallDeploymentPackageRequest:
      properties:
        deployment_package_id:
          title: Deployment Package Id
          type: string
        deployment_package_name:
          title: Deployment Package Name
          type: string
        deployment_package_type:
          $ref: '#/components/schemas/DeploymentPackageType'
        version_constraint:
          $ref: '#/components/schemas/PackageVersionConstraint'
      type: object
      title: InstallDeploymentPackageRequest
    InstallDeploymentPackageResponse:
      properties:
        package_installation:
          $ref: '#/components/schemas/DeploymentPackageInstallationEntity'
      type: object
      required:
        - package_installation
      title: InstallDeploymentPackageResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeploymentPackageType:
      type: string
      enum:
        - EGP_CONFIGURATION
        - BLOB_STORAGE_FILE
        - DOCKER_IMAGE
        - EGP_ENTITY
        - EGP_USER
        - INTERNAL_MODEL_INFO
        - EVALUATION_DATASET
        - MODEL
        - KNOWLEDGE_BASE
        - AGENTS_CONFIG
      title: DeploymentPackageType
    PackageVersionConstraint:
      oneOf:
        - $ref: '#/components/schemas/SemVerMinVersion'
        - $ref: '#/components/schemas/TimestampMinVersion'
        - $ref: '#/components/schemas/ExactVersion'
      title: PackageVersionConstraint
      discriminator:
        propertyName: version_constraint_type
        mapping:
          EXACT_VERSION:
            $ref: '#/components/schemas/ExactVersion'
          SEMVER_MIN:
            $ref: '#/components/schemas/SemVerMinVersion'
          TIMESTAMP_MIN:
            $ref: '#/components/schemas/TimestampMinVersion'
    DeploymentPackageInstallationEntity:
      properties:
        organization_id:
          type: string
          title: Organization Id
          description: The identifier of the organization.
        package_version_id:
          type: string
          title: Package Version Id
          description: The package version which is installed
        status:
          $ref: '#/components/schemas/InstallationStatus'
        install_log:
          title: Install Log
          description: output of installation step
          type: string
        state:
          title: State
          description: >-
            Properties of the installation, must match schema of the package
            type.
          additionalProperties: true
          type: object
        account_id:
          title: Account Id
          description: >-
            The ID of the account to which the installed package belongs. Unset
            for non-EGP entity deployment packages.
          type: string
        deleted_at:
          title: Deleted At
          description: The date and time when the entity was deleted in ISO format.
          type: string
          format: date-time
        id:
          type: string
          title: Id
          description: The unique identifier of the entity.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the entity was created in ISO format.
        created_by_user_id:
          type: string
          title: Created By User Id
          description: The user who originally created the entity.
        created_by_identity_type:
          $ref: '#/components/schemas/IdentifierTypeEnum'
          description: The type of identity that created the entity.
      additionalProperties: true
      type: object
      required:
        - organization_id
        - package_version_id
        - id
        - created_at
        - created_by_user_id
        - created_by_identity_type
      title: DeploymentPackageInstallationEntity
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SemVerMinVersion:
      properties:
        version_constraint_type:
          type: string
          const: SEMVER_MIN
          title: Version Constraint Type
          default: SEMVER_MIN
        minimum_version:
          type: string
          title: Minimum Version
      type: object
      required:
        - minimum_version
      title: SemVerMinVersion
    TimestampMinVersion:
      properties:
        version_constraint_type:
          type: string
          const: TIMESTAMP_MIN
          title: Version Constraint Type
          default: TIMESTAMP_MIN
        minimum_timestamp:
          type: string
          title: Minimum Timestamp
      type: object
      required:
        - minimum_timestamp
      title: TimestampMinVersion
    ExactVersion:
      properties:
        version_constraint_type:
          type: string
          const: EXACT_VERSION
          title: Version Constraint Type
          default: EXACT_VERSION
        package_version_id:
          type: string
          title: Package Version Id
      type: object
      required:
        - package_version_id
      title: ExactVersion
    InstallationStatus:
      type: string
      enum:
        - INSTALLED
        - UNINSTALLED
        - IN_PROGRESS
        - FAILED
      title: InstallationStatus
    IdentifierTypeEnum:
      type: string
      enum:
        - user
        - service_account
      title: IdentifierTypeEnum

````